Name:           libiec61883
Version:        1.2.0
Release:        22
Summary:        Streaming library for IEEE1394
License:        LGPLv2+
URL:            http://ieee1394.wiki.kernel.org/index.php/Libraries#libiec61883
Source:         https://mirrors.edge.kernel.org/pub/linux/libs/ieee1394/%{name}-%{version}.tar.gz
Patch0001:      libiec61883-channel-allocation-without-local-node-rw.patch
BuildRequires:  gcc libraw1394-devel
Provides:       libiec61883-utils
Obsoletes:      libiec61883-utils

%description
libiec61883 is an implementation of IEC 61883.This library provides
a higher level API for streaming DV, MPEG-2 and audio over Linux
IEEE 1394. This includes both reception and transmission.

%package devel
Summary:        Development files for libiec61883
Requires:       %{name} = %{version}-%{release}

%description devel
Libiec61883-devel contains development files for libiec61883.

%package help
Summary: Help documents for libiec61883

%description help
Man pages and other related help documents for libiec61883.

%prep
%autosetup -n %{name}-%{version} -p1

%build
%configure --disable-static
sed -i 's|^hardcode_libdir_flag_spec=.*|hardcode_libdir_flag_spec=""|g' libtool
sed -i 's|^runpath_var=LD_RUN_PATH|runpath_var=DIE_RPATH_DIE|g' libtool
%make_build

%install
%make_install
%delete_la

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%files
%doc AUTHORS COPYING
%{_bindir}/*
%{_libdir}/libiec61883.so.*

%files devel
%{_includedir}/libiec61883/*.h
%dir %{_includedir}/libiec61883
%{_libdir}/libiec61883.so
%{_libdir}/pkgconfig/libiec61883.pc

%files help
%doc NEWS README
%{_mandir}/man1/*.1*

%changelog
* Sun Jan 19 2020 yangjian<yangjian79@huawei.com> - 1.2.0-22
- Change the Source to valid address

* Wed Oct 23 2019 yanzhihua <yanzhihua4@huawei.com> - 1.2.0-21
- Package init
